%define name condor
%define version 1.0
%define release 1
%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest

# required items
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Application/Misc
# optional items
#Vendor: Wolfgang Dautermann
#Distribution:
#Icon:
URL: https://wiki.camp.ccc.de/Camp/view/Main/BlinkenArea
Packager: Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>

# source + patches
Source: %{name}.tar.gz
#Source1: %{name}-rpm.tar.gz
Patch0: patch1 
#Patch1:

# RPM info
#Provides:
#Requires:
#Conflicts:
#Prereq:

#Prefix: /usr
BuildRoot:  /tmp/%{name}-%{version}-build
Summary: Condor - The Blinkenlights Suite
%description
Condor - The Blinkenlights Suite description

%prep -n %{name}
%setup -n %{name}
patch -p1 src/global.h patch1

%build
make                               # comment this 
strip blinkshare condor visionudp  # and this
#touch blinkshare condor visionudp # and uncomment this for faster RPM builds :-)


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
install -D condor $RPM_BUILD_ROOT/usr/bin/condor
install -D blinkshare $RPM_BUILD_ROOT/usr/bin/blinkshare
install -D visionudp $RPM_BUILD_ROOT/usr/bin/visionudp
mkdir -p $RPM_BUILD_ROOT/usr/share/condor
cp -r x_clnt x_srvr  $RPM_BUILD_ROOT/usr/share/condor

# __os_install_post is implicitly expanded after the
# %install section... do it now, and then disable it,
# so all work is done before building manifest.

%{?__os_install_post}
%define __os_install_post %{nil}

# build the file list automagically into %{manifest}

cd $RPM_BUILD_ROOT
rm -f %{manifest}
find . -type d \
        | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> %{manifest}
find . -type f \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}
find . -type l \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}

#%pre
#%post
#%preun
#%postun

%clean
rm -f %{manifest}
rm -rf $RPM_BUILD_ROOT

%files -f %{manifest}
%defattr(-,root,root)
#%doc README 
%doc PROTOKOLL PROTOKOLL_SAMPLE_LOG
#%docdir
#%config


%changelog
* Thu Aug 5 2003 Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>
- First RPM build
