#ifndef BLINKSHAREMAIN_H
#define BLINKSHAREMAIN_H
#include "blinksharemainbase.h"
#include "blmfile.h"

#include <qhostaddress.h>
#include <qptrqueue.h>

class BlinkShareConfig;
class QSocket;

class BlinkShareMain : public BlinkShareMainBase
{
    Q_OBJECT

public:
    BlinkShareMain( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~BlinkShareMain();

    typedef enum _State {
        StateNone = 0,
        StateConnect,
        StateHelo,
        StateUser,
        StatePass,
        StateList,
        StateInfo,
        StateSend,
        StateSendAccept,
        StateSendAll,
        StateSendAllAccept,
        StateRetr,
        StateRetrAll,
        StateLove,
        StateLoveAccept,
        StatePlay,
        StateDele
    } State;

public slots:
    void slotQuit();
    void slotConfigure();
    void slotList();
    void slotLocalList();
    void slotLoveList();
    void slotUpOne();
    void slotUpAll();
    void slotUpAllNext();
    void slotDownOne();
    void slotDownAll();
    void slotDownAllNext();
    void slotDelServer();
    void slotDelClient();
    void slotDelLove();
    void slotInfoServer();
    void slotInfoClient();
    void slotInfoLove();
    void slotPlayLove();
    void slotUpLove();

    void slotConnected();
    void slotError(int);
    void slotConnectionClosed();
    void slotDelayedCloseFinished();
    void slotReadReady();

protected:
    void closeEvent(QCloseEvent* event);
    

private:
    BlinkShareConfig* m_config;
    QHostAddress m_hostaddress;
    QSocket* m_socket;
    State m_state;

    bool c_list;
    bool c_info;
    bool c_send;
    bool c_retr;
    bool c_love;
    bool c_play;
    bool c_dele;

    bool m_lovefirst;

    BlmMovie* m_movie;
    typedef QPtrQueue<QString> StringQueue;
    StringQueue m_queue;
};

#endif // BLINKSHAREMAIN_H
