#include <qpainter.h>
#include <qwidget.h>
#include <qcolor.h>
#include "blinksimwidget.h"
#include "global.h"
#include "messenger.h"
#include "blmfile.h"

/* 
 *  Constructs a BlinkSimWidget which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
BlinkSimWidget::BlinkSimWidget( QWidget* parent,  const char* name, WFlags fl )
    : BlinkSimWidgetBase( parent, name, fl )
{
    m_buffer.resize(180, 80);
    m_buffer.fill(black);
    setBackgroundMode(NoBackground);
}

/*  
 *  Destroys the object and frees any allocated resources
 */
BlinkSimWidget::~BlinkSimWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

void BlinkSimWidget::slotShowFrame(BlmFrame& frame) {
    if(!m_hide) {
        m_buffer.fill(lightGray);
        QPainter paint;
        paint.begin(&m_buffer);
        for(int x = 0; x < 18; x++) {
            for(int y = 0; y < 8; y++) {
                if(frame.pixel[x][y]) {
                    paint.fillRect(x*10+1, y*10+1, 8, 8, white);
                }
            }
        }
        paint.end();
        bitBlt(this, 0, 0, &m_buffer);
    }
}

void BlinkSimWidget::paintEvent(QPaintEvent*)
{
    bitBlt(this, 0, 0, &m_buffer);
}
