#include "connectionwizard.h"

/* 
 *  Constructs a ConnectionWizard which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
ConnectionWizard::ConnectionWizard( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : ConnectionWizardBase( parent, name, modal, fl )
{
    setAppropriate(consolePage, false);
    setAppropriate(telnetPage, false);
    setAppropriate(fileserverPage, false);
    setAppropriate(udpFixPage, false);
    setAppropriate(udpDynamicPage, false);
    setAppropriate(finishPage, false);
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ConnectionWizard::~ConnectionWizard()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 * public slot
 */
void ConnectionWizard::slotTypeSelect(int select)
{
    setFinishEnabled(finishPage, true);
    setAppropriate(finishPage, true);
    qDebug("Selected: %d", select);
    switch(select) {
        case 0:
            setAppropriate(consolePage, false);
            setAppropriate(telnetPage, true);
            setAppropriate(fileserverPage, false);
            setAppropriate(udpFixPage, false);
            setAppropriate(udpDynamicPage, false);
            break;
        case 1:
            setAppropriate(consolePage, false);
            setAppropriate(telnetPage, false);
            setAppropriate(fileserverPage, true);
            setAppropriate(udpFixPage, false);
            setAppropriate(udpDynamicPage, false);
            break;
        case 2:
            setAppropriate(consolePage, false);
            setAppropriate(telnetPage, false);
            setAppropriate(fileserverPage, false);
            setAppropriate(udpFixPage, true);
            setAppropriate(udpDynamicPage, false);
            break;
        case 3:
            setAppropriate(consolePage, false);
            setAppropriate(telnetPage, false);
            setAppropriate(fileserverPage, false);
            setAppropriate(udpFixPage, false);
            setAppropriate(udpDynamicPage, true);
            break;
        case 4:
            setAppropriate(consolePage, true);
            setAppropriate(telnetPage, false);
            setAppropriate(fileserverPage, false);
            setAppropriate(udpFixPage, false);
            setAppropriate(udpDynamicPage, false);
            break;
        case 5:
            setAppropriate(consolePage, false);
            setAppropriate(telnetPage, false);
            setAppropriate(fileserverPage, false);
            setAppropriate(udpFixPage, false);
            setAppropriate(udpDynamicPage, false);
            break;
    }
}


