#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include "mainwindowbase.h"

class QCloseEvent;
class Playlist;
class LogEntry;
class TelnetMotherWidget;
class SbtpMotherWidget;

class MainWindow : public MainWindowBase
{
    Q_OBJECT

public:
    MainWindow( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~MainWindow();

public slots:
    void fileNew();
    void filePrint();
    void fileExit();
    void playlistAdd();
    void helpContents();
    void helpAbout();
    void windowPreview(bool);
    void windowStatus(bool);
    void fileLockScreen();
    void playlistSkip();
    void slotAddLogEntry(LogEntry& entry);
    void slotCreateTelnetChild(int,bool,bool,TelnetMotherWidget*);
    void slotCreateSbtpChild(int,bool,SbtpMotherWidget*);

protected:
    void closeEvent(QCloseEvent* event);

private:
    long m_LogEntryLast;

};

#endif // MAINWINDOW_H
