#ifndef MESSENGER_H
#define MESSENGER_H

#include <qstring.h>
#include <qdatetime.h>
#include <qobject.h>

#include "blmfile.h"

class LogEntry {

public:
    enum statustype {
        StatusDEBUG,
        StatusINFO,
        StatusWARNING,
        StatusERROR
    };

    LogEntry(QDateTime& _time, statustype _status, 
            QString& _message) {
        time = _time;
        status = _status;
        message = _message;
    }

public:
    QDateTime time;
    statustype status;
    QString message;
};


class Messenger : public QObject {
    Q_OBJECT

public:
    Messenger(void) {
        //
    }

signals:
    void signalLogEntry(LogEntry&);
    void signalBlmFrame(BlmFrame&);

public slots:
    void slotLogEntry(LogEntry& entry) {
        emit signalLogEntry(entry);
    }
    void slotLogEntry(LogEntry::statustype status, char *text) {
        QString message = text;
        QDateTime time = QDateTime::currentDateTime ();
        LogEntry entry(time,
                        status,
                        message);
        //LogEntry entry;
        emit signalLogEntry(entry);
    }
    void slotLogEntry(LogEntry::statustype status, QString message) {
        QDateTime time = QDateTime::currentDateTime ();
        LogEntry entry(time,
                        status,
                        message);
        //LogEntry entry;
        emit signalLogEntry(entry);
    }

    void slotBlmFrame(BlmFrame& frame) {
        //frame.debug();
        emit signalBlmFrame(frame);
    }
};

#endif // MESSENGER_H
