#ifndef PLAYLIST_H
#define PLAYLIST_H

#include <qobject.h>
#include <qintdict.h>
#include <qstring.h>
#include "playlistentry.h"

class QListBox;
class BlmMovie;
class BlmFrame;

class Playlist : QObject {
    
    Q_OBJECT

signals:
    void signalShowFrame(BlmFrame& );
    
public slots:
    void fillList(long);
    void update();
    void add(PlaylistEntry*);
    void slotTimeOut();
    void skip();

public:
    Playlist(QListBox* _parent, long defaultfill=5);
    QString getNext();

private:
    long m_lowest;
    long m_highest;
    long m_lovelowest;
    long m_lovehighest;
    long m_defaultfill;
    QIntDict<PlaylistEntry> m_PlayList;
    QIntDict<PlaylistEntry> m_LovePlayList;
    PlaylistEntry* m_current;
    QListBox* m_parent;
    QTimer* m_timer;
    BlmMovie* m_movie;
    bool m_skip;
    
};

#endif // PLAYLIST_H
