#ifndef SBTPCHILDWIDGET_H
#define SBTPCHILDWIDGET_H
#include "sbtpchildwidgetbase.h"

class SbtpMotherWidget;
#ifdef QT_THREAD_SUPPORT
class SbtpChildThread;
#else //  QT_THREAD_SUPPORT
class SbtpChildSocket;
#endif // QT_THREAD_SUPPORT

class SbtpChildWidget : public SbtpChildWidgetBase
{
    Q_OBJECT

public:
    SbtpChildWidget( int socket, bool full,
            SbtpMotherWidget* serverparent, 
            QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~SbtpChildWidget();

public slots:
    void slotClose();
    void slotRemoveChild();
    void slotDestruction();

signals:
    void signalRemoveChild();

private:
    long m_count;
#ifdef QT_THREAD_SUPPORT
    SbtpChildThread* m_child;
#else // QT_THREAD_SUPPORT
    SbtpChildSocket* m_child;
#endif // QT_THREAD_SUPPORT
    bool m_closesent;

};

#endif // SBTPCHILDWIDGET_H
