#ifndef SBTPMOTHERWIDGET_H
#define SBTPMOTHERWIDGET_H
#include "sbtpmotherwidgetbase.h"

class SbtpMotherSocket;
class QCloseEvent;

class SbtpMotherWidget : public SbtpMotherWidgetBase 
{
    Q_OBJECT

public:
    SbtpMotherWidget( int port, int maxconnections, 
            QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~SbtpMotherWidget();

    int getPort() {
        return m_port;
    }

public slots:
    void slotClose();
    void slotSetMaxConnection(int);
    void slotAddChild(int);
    void slotRemoveChild();


signals:
    void signalNeedChild(int,bool,SbtpMotherWidget*);
    void signalCloseAll();

protected:
    void closeEvent(QCloseEvent* event);

private:
    int m_port;
    int m_maxconn;
    int m_childs;
    long m_count;
    SbtpMotherSocket* m_socket;
    bool m_closeignore;

};

#endif // SBTPMOTHERWIDGET_H
