#ifndef TELNETCHILDWIDGET_H
#define TELNETCHILDWIDGET_H
#include "telnetchildwidgetbase.h"

class TelnetMotherWidget;
class TelnetChildSocket;

class TelnetChildWidget : public TelnetChildWidgetBase
{
    Q_OBJECT

public:
    TelnetChildWidget( int socket, bool repaint, bool full,
            TelnetMotherWidget* serverparent, 
            QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~TelnetChildWidget();

public slots:
    void slotClose();
    void slotShowFrame();
    void slotSetAlwaysRepaint(bool);
    void slotRemoveChild();
    void slotDestruction();

signals:
    void signalRemoveChild();

private:
    TelnetChildSocket* m_child;
    long m_count;
    bool m_closesent;

};

#endif // TELNETCHILDWIDGET_H
