#ifndef TELNETMOTHERWIDGET_H
#define TELNETMOTHERWIDGET_H
#include "telnetmotherwidgetbase.h"

class TelnetMotherSocket;
class QCloseEvent;

class TelnetMotherWidget : public TelnetMotherWidgetBase 
{
    Q_OBJECT

public:
    TelnetMotherWidget( int port, int maxconnections, bool alwaysrepaint, 
            QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~TelnetMotherWidget();

    int getPort() {
        return m_port;
    }

public slots:
    void slotClose();
    void slotShowFrame();
    void slotSetMaxConnection(int);
    void slotSetAlwaysRepaint(bool);
    void slotAddChild(int);
    void slotRemoveChild();


signals:
    void signalNeedChild(int,bool,bool,TelnetMotherWidget*);
    void signalCloseAll();
    void signalAlwaysRepaint(bool);

protected:
    void closeEvent(QCloseEvent* event);

private:
    int m_port;
    bool m_repaint;
    int m_maxconn;
    int m_childs;
    long m_count;
    TelnetMotherSocket* m_socket;
    bool m_closeignore;

};

#endif // TELNETMOTHERWIDGET_H
