#ifndef UDPFIXCONNECTION_H
#define UDPFIXCONNECTION_H
#include <qhostaddress.h>

#include "udpfixconnectionbase.h"

class BlmFrame;
class QCloseEvent;
class QString;
class QSocketDevice;
class QDns;

class UdpFixConnection : public udpfixconnectionbase
{
    Q_OBJECT

public:
    UdpFixConnection(QString host, int port, 
            QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~UdpFixConnection();

public slots:
    void slotShowFrame(BlmFrame&);
    void slotClose();
    void slotDnsReady();

protected:
    void closeEvent(QCloseEvent* event);

private:
    long m_count;
    bool m_closeignore;
    QString m_host;
    int m_port;
    QSocketDevice* m_socket;
    QDns* m_dns;
    QHostAddress m_hostaddress;
};

#endif // UDPFIXCONNECTION_H
