#ifndef VISIONUDP_H
#define VISIONUDP_H
#include "visionudpmainbase.h"
#include <qtimer.h>
#include <qhostaddress.h>

class VisionUDPSettings;
class QSocketDevice;
class QSocketNotifier;
class QDns;

class VisionUDP : public VisionUdpMainBase
{
    Q_OBJECT

public:
    VisionUDP( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~VisionUDP();

public slots:
    void slotExitAction();
    void slotConfigureAction();
    void slotSocketEvent(int);
    void slotDnsReady();
    void slotRefresh();
    void closeEvent(QCloseEvent*);

private:
    VisionUDPSettings* m_settings;
    QSocketDevice* m_socket;
    QSocketNotifier* m_notifier;
    QDns* m_dns;
    QHostAddress m_hostaddress;
    QTimer* m_timer;
    long m_count;
};

#endif // VISIONUDP_H
